• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/Messaging/CreateMessage

Some tooltip text!
• 2 minutes to read
 • 2 minutes to read
POST /api/v1/Agents/Messaging/CreateMessage

Create a new message and insert it in the message queue.

(inbox) NsApiSlow threshold: 5000 ms.

Online Restricted: ## The Messaging agent is not available in Online by default. Access must be requested specifically when app is registered.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/Messaging/CreateMessage?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in:
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: request

IncomingMessage

Property Name Type Description
IncomingMessage IncomingMessage Details about a message to be sent Carrier object for IncomingMessage. Services for the IncomingMessage Carrier is available from the Messaging Agent.

Response:

No Content

Response Description
204 No Content

Response body: TimeZoneData

Sample request

[!include[sample request](../../samples/agent/request/v1MessagingAgent_CreateMessage.md)]

Sample response

[!include[sample response](../../samples/agent/response/v1MessagingAgent_CreateMessage.md)]
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top